FFTDialog Class Reference

Fast Fourier transform options dialog. More...

`#include <FFTDialog.h>`

Inheritance diagram for FFTDialog:

## Public Types

enum | DataType { onGraph = 0, onTable = 1, onMatrix = 2 }

## Public Slots

void | setGraph (Graph *g)
void | setMatrix (Matrix *m)
void | setTable (Table *t)

## Public Member Functions

| FFTDialog (int type, QWidget *parent=0, Qt::WFlags fl=0)

## Private Slots

void | accept ()
void | activateDataSet (const QString &curveName)
void | updateShiftLabel ()

## Private Member Functions

void | closeEvent (QCloseEvent *)
void | fftMatrix ()

## Private Attributes

QRadioButton * | backwardBtn
QComboBox * | boxImaginary
QComboBox * | boxName
QCheckBox * | boxNormalize
QCheckBox * | boxOrder
QCheckBox * | boxPower2
QComboBox * | boxReal
DoubleSpinBox * | boxSampling
QPushButton * | buttonCancel
QPushButton * | buttonOK
Table * | d_table
int | d_type
QRadioButton * | forwardBtn
Graph * | graph

## Detailed Description

Fast Fourier transform options dialog.

## Member Enumeration Documentation

enum FFTDialog::DataType

Enumerator
onGraph |
onTable |
onMatrix |

## Constructor & Destructor Documentation

FFTDialog::FFTDialog | ( | int | type,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), activateDataSet(), backwardBtn, boxImaginary, boxName, boxNormalize, boxOrder, boxPower2, boxReal, boxSampling, buttonCancel, buttonOK, ApplicationWindow::d_decimal_digits, ApplicationWindow::d_fft_norm_amp, ApplicationWindow::d_fft_power2, ApplicationWindow::d_fft_shift_res, d_table, d_type, forwardBtn, graph, onGraph, onMatrix, onTable, DoubleSpinBox::setDecimals(), and updateShiftLabel().

## Member Function Documentation

void FFTDialog::accept | ( |  | ) |

private slot

References backwardBtn, boxImaginary, boxName, boxNormalize, boxOrder, boxReal, boxSampling, Graph::curve(), d_table, d_type, fft(), fftMatrix(), graph, FFT::normalizeAmplitudes(), onMatrix, Filter::run(), FFT::setInverseFFT(), FFT::setSampling(), FFT::shiftFrequencies(), and DoubleSpinBox::value().

Referenced by FFTDialog().

void FFTDialog::activateDataSet | ( | const QString & | curveName | ) |

private slot

References boxPower2, boxSampling, Table::cell(), Table::colIndex(), Graph::curve(), d_table, d_type, graph, isPower2(), ApplicationWindow::matrix(), Matrix::numCols(), Matrix::numRows(), onMatrix, and DoubleSpinBox::setValue().

Referenced by FFTDialog(), and setGraph().

void FFTDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References boxNormalize, boxOrder, boxPower2, ApplicationWindow::d_fft_norm_amp, ApplicationWindow::d_fft_power2, ApplicationWindow::d_fft_shift_res, d_type, and onMatrix.

void FFTDialog::fftMatrix | ( |  | ) |

private

References backwardBtn, boxImaginary, boxNormalize, boxOrder, boxPower2, boxReal, fft(), ApplicationWindow::matrix(), and Filter::run().

Referenced by accept().

void FFTDialog::setGraph | ( | Graph * | g | ) |

slot

References activateDataSet(), Graph::analysableCurvesList(), boxName, and graph.

Referenced by ApplicationWindow::showFFTDialog().

void FFTDialog::setMatrix | ( | Matrix * | m | ) |

slot

References boxImaginary, boxPower2, boxReal, d_type, isPower2(), ApplicationWindow::matrixNames(), Matrix::numCols(), Matrix::numRows(), and onMatrix.

Referenced by ApplicationWindow::showFFTDialog().

void FFTDialog::setTable | ( | Table * | t | ) |

slot

References boxImaginary, boxName, boxReal, boxSampling, Table::cell(), Table::colIndex(), Table::columnsList(), d_table, Table::firstXCol(), Table::selectedColumns(), and DoubleSpinBox::setValue().

Referenced by ApplicationWindow::showFFTDialog().

void FFTDialog::updateShiftLabel | ( |  | ) |

private slot

References boxOrder, d_type, forwardBtn, and onMatrix.

Referenced by FFTDialog().

## Member Data Documentation

QRadioButton * FFTDialog::backwardBtn

private

Referenced by accept(), FFTDialog(), and fftMatrix().

QComboBox * FFTDialog::boxImaginary

private

Referenced by accept(), FFTDialog(), fftMatrix(), setMatrix(), and setTable().

QComboBox* FFTDialog::boxName

private

Referenced by accept(), FFTDialog(), setGraph(), and setTable().

QCheckBox* FFTDialog::boxNormalize

private

Referenced by accept(), closeEvent(), FFTDialog(), and fftMatrix().

QCheckBox * FFTDialog::boxOrder

private

Referenced by accept(), closeEvent(), FFTDialog(), fftMatrix(), and updateShiftLabel().

QCheckBox * FFTDialog::boxPower2

private

Referenced by activateDataSet(), closeEvent(), FFTDialog(), fftMatrix(), and setMatrix().

QComboBox * FFTDialog::boxReal

private

Referenced by accept(), FFTDialog(), fftMatrix(), setMatrix(), and setTable().

DoubleSpinBox* FFTDialog::boxSampling

private

Referenced by accept(), activateDataSet(), FFTDialog(), and setTable().

QPushButton* FFTDialog::buttonCancel

private

Referenced by FFTDialog().

QPushButton* FFTDialog::buttonOK

private

Referenced by FFTDialog().

Table* FFTDialog::d_table

private

Referenced by accept(), activateDataSet(), FFTDialog(), and setTable().

int FFTDialog::d_type

private

Referenced by accept(), activateDataSet(), closeEvent(), FFTDialog(), setMatrix(), and updateShiftLabel().

QRadioButton* FFTDialog::forwardBtn

private

Referenced by FFTDialog(), and updateShiftLabel().

Graph* FFTDialog::graph

private

Referenced by accept(), activateDataSet(), FFTDialog(), and setGraph().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/FFTDialog.h
- qtiplot/src/analysis/dialogs/FFTDialog.cpp